
Figure - Bug #118925
【EVT】【AF】【王者荣耀】进入王者荣耀游戏后，上划进入多任务管理，再次点击王者荣耀出现黑屏
2023-06-29 15:23 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2023-06-29

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C106(X106).202306290133

Resolution: WONTFIX Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

前置条件：

网络正常，已安装王者荣耀游戏

测试步骤：

1.打开王者荣耀，进入游戏界面

2.上划进人多任务管理

3.在多任务管理界面，再次点击打开王者荣耀

实际结果：

在多任务管理界面，再次点击打开王者荣耀出现黑屏

预期结果：

在多任务管理界面，再次点击打开王者荣耀不会出现黑屏、卡顿现象

History

#1 - 2023-06-29 17:16 - CD TEST-方永红

- Priority changed from Normal to High

- Severity changed from Normal to Critical

#2 - 2023-06-30 17:08 - CD TEST-方永红

- Category set to CD-FW

#3 - 2023-07-10 17:55 - CD FW 郑雷

[当前状态]

从bugreport分析，黑屏是因为王者荣耀的合成Layer是黑色的SOLID_COLOR

@Display 4630946816427681409 HWC layers:

---------------------------------------------------------------------------------------------------------------------------------------------------------------

 Layer name

           Z |  Window Type |  Layer Class |  Comp Type |  Transform |   Disp Frame (LTRB) |          Source Crop (LTRB) |     Frame Rate (Explicit) (Seamlessness) [Focused]

---------------------------------------------------------------------------------------------------------------------------------------------------------------

 Background for SurfaceView[com.tence[...].tencent.tmgp.sgame.SGameActivity]#0

  rel 2147483648 |            0 |            0 | SOLID_COLOR |          0 |    0    0 2560 1080 |    0.0    0.0    0.0    0.0 |                                              [*]

--------------------------------------------------------------------------------------------------------------------------------------------------------------

Planner is disabled

h/w composer state:

  h/w composer enabled
------------HWC----------------

HWC2 display_id: 0

layer:  959 z: 0 composition: SolidColor/SolidColor alpha: 255 format:              ARGB_8888 dataspace:0x00000000 transform: 0/0/0 buffer_id: 0x0 secure: 0@

从logcat分析：

06-29 03:44:52.810 I/OMX-VDEC-1080P( 1210): C2D: Start color convertion

06-29 03:44:52.811 W/C2DColorConvert( 1210): calcLumaAlign: unknown format (3) passed for luma alignment number.

06-29 03:44:52.811 I/OMX-VDEC-1080P( 1210): C2D: Start color convertion

06-29 03:44:52.812 W/C2DColorConvert( 1210): calcLumaAlign: unknown format (3) passed for luma alignment number.

06-29 03:44:52.818 E/TGAVHVideoHubMgr(19378): init

06-29 03:44:52.819 W/System.err(19378): org.json.JSONException: End of input at character 0 of 

06-29 03:44:52.819 W/System.err(19378):     at org.json.JSONTokener.syntaxError(JSONTokener.java:460)

06-29 03:44:52.819 W/System.err(19378):     at org.json.JSONTokener.nextValue(JSONTokener.java:101)

06-29 03:44:52.819 W/System.err(19378):     at org.json.JSONObject.<init>(JSONObject.java:168)

06-29 03:44:52.819 W/System.err(19378):     at org.json.JSONObject.<init>(JSONObject.java:185)

06-29 03:44:52.819 W/System.err(19378):     at com.tencent.tga.videohub.base.VideoHubUtils.initSwitch(VideoHubUtils.java:22)

06-29 03:44:52.819 W/System.err(19378):     at com.tencent.tga.videohub.base.VideoHubMgr.init(VideoHubMgr.java:58)

06-29 03:44:52.819 W/System.err(19378):     at com.tencent.tga.videohub.TGAVideoHubMgr.init(TGAVideoHubMgr.java:16)

06-29 03:44:52.819 W/System.err(19378):     at com.unity3d.player.UnityPlayer.nativeRender(Native Method)

06-29 03:44:52.819 W/System.err(19378):     at com.unity3d.player.UnityPlayer.c(Unknown Source:0)

06-29 03:44:52.819 W/System.err(19378):     at com.unity3d.player.UnityPlayer$d$1.handleMessage(Unknown Source:131)

06-29 03:44:52.819 W/System.err(19378):     at android.os.Handler.dispatchMessage(Handler.java:102)

06-29 03:44:52.819 W/System.err(19378):     at android.os.Looper.loopOnce(Looper.java:201)

06-29 03:44:52.819 W/System.err(19378):     at android.os.Looper.loop(Looper.java:288)

06-29 03:44:52.819 W/System.err(19378):     at com.unity3d.player.UnityPlayer$d.run(Unknown Source:20)

06-29 03:44:52.820 E/HttpThreadPoolMgr(19378): HttpThreadPoolMgr init

06-29 03:44:52.835 I/SDKConfigMgr(19378): start async task to load config, retry time:0, loaded:false, loading:false

06-29 03:44:52.835 E/MessageManger(19378): android.content.pm.PackageManager$NameNotFoundException: com.tencent.gamehelper.smoba

06-29 03:44:52.835 E/MessageManger(19378):     at android.app.ApplicationPackageManager.getPackageInfoAsUser(ApplicationPackageManager.java:241)

06-29 03:44:52.835 E/MessageManger(19378):     at android.app.ApplicationPackageManager.getPackageInfo(ApplicationPackageManager.java:213)

06-29 03:44:52.835 E/MessageManger(19378):     at com.tencent.tgp.wzry.gameplugin.RemoteMsgManager.isPkgInstalled(RemoteMsgManager.java:227)

06-29 03:44:52.835 E/MessageManger(19378):     at com.tencent.tgp.wzry.gameplugin.RemoteMsgManager.<init>(RemoteMsgManager.java:131)

06-29 03:44:52.835 E/MessageManger(19378):     at com.tencent.tgp.wzry.gameplugin.RemoteMsgManager.getInstance(RemoteMsgManager.java:168)

06-29 03:44:52.835 E/MessageManger(19378):     at com.unity3d.player.UnityPlayer.nativeRender(Native Method)

06-29 03:44:52.835 E/MessageManger(19378):     at com.unity3d.player.UnityPlayer.c(Unknown Source:0)

06-29 03:44:52.835 E/MessageManger(19378):     at com.unity3d.player.UnityPlayer$d$1.handleMessage(Unknown Source:131)

06-29 03:44:52.835 E/MessageManger(19378):     at android.os.Handler.dispatchMessage(Handler.java:102)

06-29 03:44:52.835 E/MessageManger(19378):     at android.os.Looper.loopOnce(Looper.java:201)

06-29 03:44:52.835 E/MessageManger(19378):     at android.os.Looper.loop(Looper.java:288)

06-29 03:44:52.835 E/MessageManger(19378):     at com.unity3d.player.UnityPlayer$d.run(Unknown Source:20)

06-29 03:44:52.835 D/MessageManger(19378): isinstall detect takes:0

06-29 03:44:52.835 I/MessageManger(19378): clientPkg:com.tencent.gamehelper

06-29 03:44:52.835 D/SDKConfigMgr(19378): android.content.pm.PackageManager$NameNotFoundException: com.tencent.gamehelper

06-29 03:44:52.835 D/SDKConfigMgr(19378):     at android.app.ApplicationPackageManager.getPackageInfoAsUser(ApplicationPackageManager.java:241)

06-29 03:44:52.835 D/SDKConfigMgr(19378):     at android.app.ApplicationPackageManager.getPackageInfo(ApplicationPackageManager.java:213)

06-29 03:44:52.835 D/SDKConfigMgr(19378):     at com.tencent.tgp.wzry.gameplugin.SDKConfigMgr.getAppVersion(SDKConfigMgr.java:235)

06-29 03:44:52.835 D/SDKConfigMgr(19378):     at com.tencent.tgp.wzry.gameplugin.SDKConfigMgr.getGameHelperAppVersion(SDKConfigMgr.java:222)

06-29 03:44:52.835 D/SDKConfigMgr(19378):     at com.tencent.tgp.wzry.gameplugin.SDKConfigMgr.getConfigUrl(SDKConfigMgr.java:114)

06-29 03:44:52.835 D/SDKConfigMgr(19378):     at com.tencent.tgp.wzry.gameplugin.SDKConfigMgr.loadConfigSync(SDKConfigMgr.java:158)

06-29 03:44:52.835 D/SDKConfigMgr(19378):     at com.tencent.tgp.wzry.gameplugin.SDKConfigMgr.access$200(SDKConfigMgr.java:22)

06-29 03:44:52.835 D/SDKConfigMgr(19378):     at com.tencent.tgp.wzry.gameplugin.SDKConfigMgr$1.run(SDKConfigMgr.java:103)

06-29 03:44:52.835 D/SDKConfigMgr(19378):     at java.lang.Thread.run(Thread.java:920)
06-29 03:44:52.836 D/SDKConfigMgr(19378): android.content.pm.PackageManager$NameNotFoundException: com.tencent.gamehelper.smoba

06-29 03:44:52.836 D/SDKConfigMgr(19378):     at android.app.ApplicationPackageManager.getPackageInfoAsUser(ApplicationPackageManager.java:241)

06-29 03:44:52.836 D/SDKConfigMgr(19378):     at android.app.ApplicationPackageManager.getPackageInfo(ApplicationPackageManager.java:213)

06-29 03:44:52.836 D/SDKConfigMgr(19378):     at com.tencent.tgp.wzry.gameplugin.SDKConfigMgr.getAppVersion(SDKConfigMgr.java:235)

06-29 03:44:52.836 D/SDKConfigMgr(19378):     at com.tencent.tgp.wzry.gameplugin.SDKConfigMgr.getGameHelperSmobaAppVersion(SDKConfigMgr.java:229)

06-29 03:44:52.836 D/SDKConfigMgr(19378):     at com.tencent.tgp.wzry.gameplugin.SDKConfigMgr.getConfigUrl(SDKConfigMgr.java:115)

06-29 03:44:52.836 D/SDKConfigMgr(19378):     at com.tencent.tgp.wzry.gameplugin.SDKConfigMgr.loadConfigSync(SDKConfigMgr.java:158)

06-29 03:44:52.836 D/SDKConfigMgr(19378):     at com.tencent.tgp.wzry.gameplugin.SDKConfigMgr.access$200(SDKConfigMgr.java:22)

06-29 03:44:52.836 D/SDKConfigMgr(19378):     at com.tencent.tgp.wzry.gameplugin.SDKConfigMgr$1.run(SDKConfigMgr.java:103)

06-29 03:44:52.836 D/SDKConfigMgr(19378):     at java.lang.Thread.run(Thread.java:920)

06-29 03:44:52.836 W/ActivityManager( 1522): Unable to start service Intent { act=com.tencent.tgp.wzry.gameplugin pkg=com.tencent.gamehelper } U=0: not found

06-29 03:44:52.836 I/MessageManger(19378): binding to pkg com.tencent.gamehelper, result:false

06-29 03:44:52.837 D/SDKConfigMgr(19378):

configUrl:http://qt.qq.com/lua/tgp_app/get_sdk_config?model=PassengerDisplay&game_ver=804010602&gamehelper_ver=0&gamehelper_smoba_ver=0&os_ver=31&os

_type=Android&ram=7710

06-29 03:44:52.837 E/MessageManger(19378): android.content.pm.PackageManager$NameNotFoundException: com.tencent.gamehelper

06-29 03:44:52.837 E/MessageManger(19378):     at android.app.ApplicationPackageManager.getPackageInfoAsUser(ApplicationPackageManager.java:241)

06-29 03:44:52.837 E/MessageManger(19378):     at android.app.ApplicationPackageManager.getPackageInfo(ApplicationPackageManager.java:213)

06-29 03:44:52.837 E/MessageManger(19378):     at com.tencent.tgp.wzry.gameplugin.RemoteMsgManager.isPkgInstalled(RemoteMsgManager.java:227)

06-29 03:44:52.837 E/MessageManger(19378):     at com.tencent.tgp.wzry.gameplugin.RemoteMsgManager.isPluginInstalled(RemoteMsgManager.java:148)

06-29 03:44:52.837 E/MessageManger(19378):     at com.unity3d.player.UnityPlayer.nativeRender(Native Method)

06-29 03:44:52.837 E/MessageManger(19378):     at com.unity3d.player.UnityPlayer.c(Unknown Source:0)

06-29 03:44:52.837 E/MessageManger(19378):     at com.unity3d.player.UnityPlayer$d$1.handleMessage(Unknown Source:131)

06-29 03:44:52.837 E/MessageManger(19378):     at android.os.Handler.dispatchMessage(Handler.java:102)

06-29 03:44:52.837 E/MessageManger(19378):     at android.os.Looper.loopOnce(Looper.java:201)

06-29 03:44:52.837 E/MessageManger(19378):     at android.os.Looper.loop(Looper.java:288)

06-29 03:44:52.837 E/MessageManger(19378):     at com.unity3d.player.UnityPlayer$d.run(Unknown Source:20)

06-29 03:44:52.837 D/MessageManger(19378): isinstall detect takes:0

06-29 03:44:52.837 D/MessageManger(19378): isinstall detect takes:0

06-29 03:44:52.837 I/MessageManger(19378): plugin not installed:com.tencent.gamehelper

06-29 03:44:52.891 I/OMX-VDEC-1080P( 1210): C2D: Start color convertion

06-29 03:44:52.892 W/C2DColorConvert( 1210): calcLumaAlign: unknown format (3) passed for luma alignment number.

06-29 03:44:52.931 I/OMX-VDEC-1080P( 1210): C2D: Start color convertion

06-29 03:44:52.932 W/C2DColorConvert( 1210): calcLumaAlign: unknown format (3) passed for luma alignment number.

06-29 03:44:52.933 W/HttpUtil(19378): status code :202

06-29 03:44:52.933 E/HttpUtil(19378): download error, status:202,

url:http://qt.qq.com/lua/tgp_app/get_sdk_config?model=PassengerDisplay&game_ver=804010602&gamehelper_ver=0&gamehelper_smoba_ver=0&os_ver=31&os_type

=Android&ram=7710

.....

06-29 03:45:15.109 W/Unity   (19378): The referenced script on this Behaviour (Game Object '10600_XiaoQiao_Show1') is missing! (Filename:  Line: 1763)

06-29 03:45:15.112 D/IL2CPP  (19378): WalkStack, base address = 0x71b5637000.

06-29 03:45:15.112 W/Unity   (19378): The referenced script on this Behaviour (Game Object 'HeroShowCamera') is missing! (Filename:  Line: 1763)

在游戏界面点击没反应，是因为10600_XiaoQiao_Show1相关的script丢失。

此问题应该是游戏本身的原因。

#4 - 2023-07-10 18:06 - CD FW 郑雷

- % Done changed from 0 to 100

#5 - 2023-07-11 13:45 - CD FW 郑雷

- Assignee changed from CD FW 郑雷 to SZTS_TEST 邹涛
#6 - 2023-07-11 17:22 - CDTS_TEST 王成

- Assignee changed from SZTS_TEST 邹涛 to CD TEST-方永红

#7 - 2023-07-12 15:39 - CD TEST-方永红

- Status changed from New to RESOLVED

- Resolution changed from -- to WONTFIX

7.12

确认为应用自身问题

#8 - 2023-07-12 15:39 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#9 - 2023-07-12 15:39 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

中科创达软件股份有限公司20230629-150017.mp4 33.1 MB 2023-06-29 SZTS_TEST 邹涛

logcat.txt 4.26 MB 2023-06-29 SZTS_TEST 邹涛

bugreport-PassengerDisplay_CN-SKQ1.220201.001-2023-06-29-05-25-52.zip 3.8 MB 2023-06-29 SZTS_TEST 邹涛

tlog.part1.rar 50 MB 2023-06-29 SZTS_TEST 邹涛

tlog.part2.rar 41.5 MB 2023-06-29 SZTS_TEST 邹涛
